#include <bits/stdc++.h>
using namespace std;
int main(){
    string s;
    cin >> s;
    int n = s.length();
    int ans = 1;
    for(int i=0;i<n;++i){
        if(s[i]!=s[n-1-i]){
            int l = i;
            int r = n-1-i;
            if(s[l]=='b'){
                while(s[r]!='b'){
                    --r;
                }
                ans =n-i-r;
                break;
            }
            if(s[r]=='b'){
                while(s[l]!='b'){
                    ++l;
                }
            ans = l-i+1;
            break;
            }
    }
}
    cout << ans <<'\n';
    return 0;
}